.c-menu {
  margin: 0;
  padding: 0;
}
.c-menu ul[data-depth="0"] {
  display: flex;
  flex-flow: column;
  width: -moz-fit-content;
  width: fit-content;
  margin: 0;
  padding: 0;
}
.c-menu ul[data-depth="0"] > li {
  list-style: none;
}
.c-menu ul[data-depth="0"] li {
  position: relative;
}
@media (min-width: 768px) {
  .c-menu ul[data-depth="0"] {
    align-items: center;
    flex-flow: row;
    gap: 1.25rem;
    margin: 0;
  }
}
.c-menu ul[data-depth="1"] {
  margin: 0;
  padding: 0;
}
.c-menu ul[data-depth="1"] > li {
  list-style: none;
}
@media (min-width: 768px) {
  .c-menu ul[data-depth="1"] {
    position: absolute;
    background: rgb(255, 255, 255);
    border: 1px solid gray;
    width: 100%;
  }
}
.c-menu ul[data-depth="1"] .menu__item {
  margin: 0;
  padding: 12px 0;
}
.c-menu ul[data-depth="1"] a.menu__item {
  background-image: linear-gradient(180deg, transparent 0, transparent calc(100% - 1px), currentColor calc(100% - 1px), currentColor 100%);
  background-position: 0 100%;
  background-repeat: no-repeat;
  background-size: 0%;
  -webkit-text-decoration: none;
  text-decoration: none;
  transition: background-size 0.25s var(--transition-easeInOutQuad);
}
.c-menu ul[data-depth="1"] a.menu__item:hover, .c-menu ul[data-depth="1"] a.menu__item:focus {
  background-size: 100%;
}
.c-menu ul[data-depth="1"] a.menu__item:focus, .c-menu ul[data-depth="1"] a.menu__item:hover {
  cursor: pointer;
}
.c-menu ul:not([data-depth="0"]) {
  margin: 0;
  padding: 0;
}
.c-menu button[aria-expanded=false] + ul:not([data-depth="0"]) {
  opacity: 0;
  visibility: hidden;
  transition: transform 350ms cubic-bezier(0.4, 0, 0.2, 1);
  transition-delay: 1s;
}
.c-menu button[aria-expanded=true] + ul:not([data-depth="0"]) {
  opacity: 1;
  visibility: visible;
  transition: transform 350ms cubic-bezier(0.4, 0, 0.2, 1);
  transition-delay: 1s;
  z-index: var(--crp-zindex-over);
}
.c-menu span + ul:not([data-depth="0"]) {
  opacity: 1;
  visibility: visible;
  transition: transform 350ms cubic-bezier(0.4, 0, 0.2, 1);
  transition-delay: 1s;
  z-index: var(--crp-zindex-over);
}